/****************************************************************************
**
** Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
** All rights reserved.
** Contact: Nokia Corporation (qt-info@nokia.com)
**
** This file is part of the examples of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:BSD$
** You may use this file under the terms of the BSD license as follows:
**
** "Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are
** met:
**   * Redistributions of source code must retain the above copyright
**     notice, this list of conditions and the following disclaimer.
**   * Redistributions in binary form must reproduce the above copyright
**     notice, this list of conditions and the following disclaimer in
**     the documentation and/or other materials provided with the
**     distribution.
**   * Neither the name of Nokia Corporation and its Subsidiary(-ies) nor
**     the names of its contributors may be used to endorse or promote
**     products derived from this software without specific prior written
**     permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
** $QT_END_LICENSE$
**
****************************************************************************/

#include <QtGui>

#include "stylewindow.h"

StyleWindow::StyleWindow()
{
    QPushButton *styledButton = new QPushButton(tr("Big Red Button"));
    QRadioButton *styledRadioButton = new QRadioButton(tr("Little Radio Button"));
    QCheckBox *styledCheckBox = new QCheckBox(tr("Little Check Box"));
    QComboBox *styledComboBox = new QComboBox();
    QTextEdit *styledTextEdit = new QTextEdit();
    QProgressBar *styledProgressBar = new QProgressBar();
    QTabBar *styledTabBar = new QTabBar();
    QToolBar *styledToolBar = new QToolBar();

    QGridLayout *layout = new QGridLayout;
    layout->addWidget(styledButton);
    layout->addWidget(styledRadioButton);
    layout->addWidget(styledCheckBox);
    layout->addWidget(styledComboBox);
    layout->addWidget(styledTextEdit);
    layout->addWidget(styledProgressBar);
    layout->addWidget(styledTabBar);
    layout->addWidget(styledToolBar);

    styledComboBox->addItem("Hello");
    styledComboBox->addItem("There");
    styledComboBox->addItem("Raja!");
    styledTextEdit->setText("TEST");
    styledProgressBar->setMaximum(100);
    styledProgressBar->setValue(50);
    styledTabBar->addTab("Tab 1");
    styledTabBar->addTab("Tab 2");
    styledTabBar->addTab("Tab Duplicate");
    styledTabBar->addTab("Tab Duplicate");
    styledTabBar->addTab("Tab Duplicate");
    styledTabBar->addTab("Tab 3");
    styledTabBar->addTab("Tab Duplicate");
    styledTabBar->addTab("Tab Duplicate");

    styledToolBar->addAction("Save");

    QGroupBox *styleBox = new QGroupBox(tr("A simple style button"));
    styleBox->setLayout(layout);

    QGridLayout *outerLayout = new QGridLayout;
    outerLayout->addWidget(styleBox, 0, 0);
    setLayout(outerLayout);

    setWindowTitle(tr("Style Plugin Example"));
}
